/*!
  \file
  \brief SDL_INIT_AUDIO の初期化

  \author Satofumi KAMIMURA

  $Id: SdlAudioInit.cpp 860 2009-05-11 20:50:46Z satofumi $
*/

#include "SdlInit.h"
#include "SdlAudioInit.h"
#include <SDL.h>

using namespace qrk;


struct SdlAudioInit::pImpl : private SdlInit
{
  static bool initialized_;
};
bool SdlAudioInit::pImpl::initialized_ = false;


SdlAudioInit::SdlAudioInit(void) : pimpl(new pImpl)
{
  if (pimpl->initialized_) {
    return;
  }
  pimpl->initialized_ = (SDL_InitSubSystem(SDL_INIT_AUDIO) < 0) ? false : true;
}


SdlAudioInit::~SdlAudioInit(void)
{
}
